Bug 620121 - Clive should depend on perl-URI
Clive should depend on perl-URI
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: clive (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Nicoleau Fabien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-31 22:12 EDT by Quintin Hill
Modified: 2010-09-04 01:17 EDT (History)
1 user (show)

See Also:
Fixed In Version: clive-2.2.13-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-04 00:52:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Quintin Hill 2010-07-31 22:12:29 EDT
Description of problem:

Clive needs perl-URI but does not pull it in as a dependency.

Version-Release number of selected component (if applicable):
 2.2.11-1.fc13  

How reproducible:
Everytime

Steps to Reproduce:
1. yum remove perl-URI
2. yum install clive
3. clive <youtubelink>
  
Actual results:
Can't locate URI/Escape.pm in @INC (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/local/share/perl5 /usr/lib/perl5 /usr/share/perl5 /usr/share/perl5 /usr/lib/perl5 /usr/share/perl5 /usr/local/lib/perl5/site_perl/5.10.0/i386-linux-thread-multi /usr/local/lib/perl5/site_perl/5.10.0 /usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi /usr/lib/perl5/vendor_perl /usr/lib/perl5/site_perl .) at /usr/share/perl5/clive/Host/Youtube.pm line 53.

Expected results:
It works.

Additional info:
Comment 1 Fedora Update System 2010-08-26 18:34:32 EDT
clive-2.2.13-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/clive-2.2.13-2.fc13
Comment 2 Fedora Update System 2010-08-26 18:38:57 EDT
clive-2.2.13-2.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/clive-2.2.13-2.fc14
Comment 3 Fedora Update System 2010-08-26 22:21:10 EDT
clive-2.2.13-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update clive'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/clive-2.2.13-2.fc14
Comment 4 Fedora Update System 2010-09-04 00:52:04 EDT
clive-2.2.13-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2010-09-04 01:17:46 EDT
clive-2.2.13-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.